---
title: Communauté de logiciel libre, l'exemple d'OpenMOLE
theme: beige
revealOptions:
    transition: 'slide'
    slideNumber: true
---

# Communauté de logiciel libre, l'exemple d'OpenMOLE

#### Mathieu Leclaire et Romain Reuillon

---

## Qui sommes nous (individus)?
<br/>
<p style="text-align: center;">
    Romain Reuillon*: Chercheur CNRS <br/>
    Mathieu Leclaire*: Ingénieur CNRS 
</p>

<br/>

<img style="width:600px" src=img/allLogos.png>

---

## Qui sommes nous (communauté)?

Logiciel libre OpenMOLE

* Développeurs - 5 à 10
* Utilisateurs - 50 à 500
* Institutions - 5 à 50
* Sympatisants - 100 à 1000

---

## Qu'avons nous en commun ?

* Des objectifs
* Un contrat social
* Une culture
* Profil socio-culturel
* Des pratiques 
* Une langue (l'anglais)
* ...


---

## Quels biens communs produisons nous ?

Des biens numériques:
* Du code informatique
* Des outils (libres)
* De la documentation

---

## Un paradoxe

> Ce que nous développons est copiable/ouvert/documenté et pourtant nous sommes difficilement remplaçables/imitables.

---

## Qu'avons nous d'exclusif (techniquement) ?

* *Matériel*: infrastructure de services, ressources
* *Accés*: lieux d'echange, moyens de communication
* *Propriété*: un nom (marque)

---

## Qu'avons nous d'exclusif (par essence)?

*De l'immateriel*:
* des savoir-faire
* une dynamique 
* du temps de travail
* une culture
* un réseau / confiance

---

## La gouvernance

* technologies à adopter
* nommage de version
* fonctionalités à ajouter / enlever
* axes de communications
* ...

---

## Les modes classiques de gouvernance

*Do-ocratie*: dans l'idéal celui qui fait choisi. 

> /!\ Celui qui fait n'est pas forcément celui qui maintient ou qui développe.

*Mérit-ocratie* (faible): c'est ceux qui sont perçus comme les plus impliqués qui choisissent.

---

## La gouvernance dans OpenMOLE

Processus peu formalisé

<br/>

Petite commauté:
 * les choix sont fait par la discussion
 * peu de conflits
 * les développeurs centraux/anciens prennent la plupart des décisions

---

## Les conflits

<div style="align:center">Les choix conflictuels sont rediscutés jusqu'à résolution (trolls sur plusieurs années).</div>

<img style="height:400px" src=img/happy-troll.png>

---

## Le fork

> Créer une communauté en se basant sur du code libre existant 

* Changer les objectifs
* Changer l'organisation
* ...

---

## Exemple LibreOffice

<img style="height:500px" src=img/libreoffice.jpg>

---

## Le fork comme contre pouvoir

<img style="height:300px" src=img/fork.png>

> La possibilité de forker assure la confiance

> La difficulté de forker assure la cohésion 

---

## La préhistoire de la communauté OpenMOLE

Deux projets libres indépendants:

* *2005 - 2008*: DistME
* *2001 - 2008*: SimExplorer

<br/>

Mutualisation du travail facilitée par le libre.

---

## L'Institut des systèmes complexes

Institut inter-disciplinaire:
 * resources mutualisées
 * plateforme mutualisées.

<br/>

2009: Romain et Mathieu fondent OpenMOLE dans une volonté de créer un outil transdisciplinaire.

<br/>
<img style="width:220px" src=img/iscpif.png>

---

## L'ouverture structure un projet logiciel.

> C'est un prérequis pour colaborer sans contraintes et dans la confiance.

---

## Facilite l'interdisciplinarité

Informatique:
 * Calcul distribué
 * Algorithmes évolutionaires
 * Modèlisation par agents
  
<br/>

Application:
 * Agro-alimentaire
 * Géographie des transports
 * Morphogénèse du vivant
 * ...

---

## Facilite les financements

* ANR + EU en génie des procédés alimentaires
* ERC en géographie
* Région Ile de France
* EU en morphogénèse du vivant
* CNRS - INSHS

---

## L'échec du propriétaire (privateur)

A l'ISC-PIF un autre projet a un objectif similaire à OpenMOLE:
 * fermé
 * externalisé
 * pas de dynamique communautaire

Maintenant ce projet utilise OpenMOLE.

---

## Au fait c'est quoi OpenMOLE?

<img style="height:500px" src=img/omV3.png>

---

## Le logicel c'est bien, la communauté c'est mieux

> Un logiciel est un objet vivant, si la dynamique s'arrete il meurt.

*Objectif*: fonder une communauté dynamique

---

## L'intronisation

Autonomisation des utilisateurs: 
 * Sympatisant
 * Utilisateur
 * Formateur
 * Contributeur
 * Developpeur

---

## Un exemple

Etienne: 
 * apprend à modéliser et rencontre un developpeur openmole
 * devient utilisateur
 * vient au codding camp contribuer au developpement

---

## Bémole

Peu de diversité, profiles très homogénes des developpeurs.

<br/>

Ça s'auto entretien, c'est difficile par exemple d'impliquer des femmes. 

---

## Taille des communautés

* 1 personne: science reproductible
* 10 personnes: communauté de pratiques
* +100 personnes: institutionalisation des pratiques

**Exemple:** Microsoft est maintenant un membre platinium de la Linux Foundation

---

## Quels sont les acteurs de cette communauté ? 
## Comment s'organisent-ils ?

---

## Copyright

<img style="width:1400px" src=img/copyright.png>

---

## Copyleft

<img style="width:650px" src=img/copyleft.png>

---

## Git and Github

<img style="height:500px" src=img/git1.png>

---

## Git and Github

<img style="height:500px" src=img/git2.png>

---


## Git and Github

<img style="height:500px" src=img/git3.png>

---

## Git and Github

<img style="height:350px" src=img/git4.png>

---

## Issues

<img style="height:550px" src=img/issues.png>

---

## Contributeurs

<img style="height:600px" src=img/contributors.png>

---

## Discourse

<img style="height:600px" src=img/discourse.png>

---

## Rocket chat

<img style="height:600px" src=img/chat.png>

---

## Market place

<img style="height:600px" src=img/market.png>

---

## Documentation

<img style="width:1200px" src=img/doc.png>

---

## Piwik

<img style="width:1200px" src=img/piwik.png>

---

## Codding camp

* Rendez-vous annuel sur une semaine en pension complète
* travail libre autour d'OpenMOLE: dev, doc, réalisations, illustrations, etc

La diversité du public amène toujours de nouvelles problématiques et toujours de nouvelle solutions !

---

## Codding camp

<img style="height:500px" src=img/coddingcamp.jpg>

---

## Et aussi

 * Stages
 * Conférences (on y est !)
 * Formations, c'est demain, 14h !
 
<img style="height:500px" src=img/formations.png>

---

## Ponts vers d'autres communautés

<img style="height:500px" src=img/otherCodes.png>

---

## Partenariats avec d'autres instituts

<img style="height:500px" src=img/otherLabs.png>

---

## 1 + 1 = 3

<img style="width:900px" src=img/simpluAndOpenMole.png>

---

## L'ouverture, un frein à la valorisation ?
<br/>
<img style="width:800px" src=img/trampoline.png>

---

## L'ouverture, un frein à la valorisation ?
<br/>
<img style="height:450px" src=img/trampoline2.png>

---

## Conclusion

* Recherche reproductible => Logiciel libre
* Facilite le rapport de confiance
* Permet la mutualisation des efforts
* Permet la coévolution des pratiques et des logiciels
* N'empeche pas la valorisation

---

## Voir grand

<img style="height:350px" src=img/lhc.jpg>

> Des logiciels libres de grande ampleure pour faire avancer la recherche <br/> (ex: OpenMOLE, Geant4, NetLogo, R...). 


---

## Postface: la crypto-économie

Un espoir pour aller plus loin dans les communs:
 * infrastructures ouvertes (stockage, calcul, collecte de données)
 * créer des entreprises en p2p
 * gérer les ressoures rares en p2p
 * financer des communautés de logiciel libre
 * reprendre possession des données personnelles

---

## Exemple Datawards

<img style="height:450px" src=img/datawards.png>

---

## Transition 

**Aujourd'hui**: majoritairement des applications isolées.

**Demain**: majoritairement des protocoles crypto-économiques interopérables.


